Extending Qt Creator Manual | SessionModel

Extending Qt Creator Manual 4.7.1

# SessionModel Class

(ProjectExplorer::Internal::SessionModel)

- List of all members, including inherited members

## Public Functions

void | cloneSession(int *parent, const int &session)
void | deleteSession(const int &session)
void | newSession(int *parent)
void | renameSession(int *parent, const int &session)
void | switchToSession(const int &session)

## Member Function Documentation

### void SessionModel::cloneSession(int *parent, const int &session)

### void SessionModel::deleteSession(const int &session)

### void SessionModel::newSession(int *parent)

### void SessionModel::renameSession(int *parent, const int &session)

### void SessionModel::switchToSession(const int &session)